Addresses - Update
Werk de eigenschappen van een bestaand adres bij.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EdgeOrder/addresses/{addressName}?api-version=2024-02-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
address
|
path | True |
string minLength: 3maxLength: 24 pattern: ^[-\w\.]+$ |
De naam van de adresresource binnen de opgegeven resourcegroep. adresnamen moeten tussen de 3 en 24 tekens lang zijn en mogen alleen alfanumerieke en onderstrepingstekens gebruiken. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagkoptekst
| Name | Vereist | Type | Description |
|---|---|---|---|
| If-Match |
string |
Hiermee definieert u de voorwaarde If-Match. De patch wordt alleen uitgevoerd als de ETag van de taak op de server overeenkomt met deze waarde. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| properties.contactDetails |
Contactgegevens voor het adres. |
|
| properties.shippingAddress |
Verzendgegevens voor het adres. |
|
| tags |
object |
De lijst met sleutel-waardeparen die de resource beschrijven. Deze tags kunnen worden gebruikt voor het weergeven en groeperen van deze resource (tussen resourcegroepen). |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De Azure-bewerking is voltooid. |
|
| 202 Accepted |
Aanvraag voor resource-update geaccepteerd. Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
UpdateAddress
Voorbeeldaanvraag
PATCH https://management.azure.com/subscriptions/eb5dc900-6186-49d8-b7d7-febd866fdc1d/resourceGroups/YourResourceGroupName/providers/Microsoft.EdgeOrder/addresses/TestAddressName2?api-version=2024-02-01
{
"properties": {
"contactDetails": {
"contactName": "YYYY YYYY",
"emailList": [
"xxxx@xxxx.xxx"
],
"phone": "0000000000",
"phoneExtension": ""
},
"shippingAddress": {
"addressType": "None",
"city": "San Francisco",
"companyName": "Microsoft",
"country": "US",
"postalCode": "94107",
"stateOrProvince": "CA",
"streetAddress1": "16 TOWNSEND ST",
"streetAddress2": "UNIT 1"
}
},
"tags": {
"tag1": "value1",
"tag2": "value2"
}
}
Voorbeeldrespons
{
"name": "TestAddressName2",
"type": "Microsoft.EdgeOrder/addresses",
"id": "/subscriptions/eb5dc900-6186-49d8-b7d7-febd866fdc1d/resourceGroups/YourResourceGroupName/providers/Microsoft.EdgeOrder/addresses/TestAddressName2",
"location": "eastus",
"properties": {
"addressValidationStatus": "Valid",
"contactDetails": {
"contactName": "YYYY YYYY",
"emailList": [
"xxxx@xxxx.xxx"
],
"phone": "0000000000",
"phoneExtension": ""
},
"shippingAddress": {
"addressType": "None",
"city": "San Francisco",
"companyName": "Microsoft",
"country": "US",
"postalCode": "94107",
"stateOrProvince": "CA",
"streetAddress1": "16 TOWNSEND ST",
"streetAddress2": "UNIT 1"
}
},
"systemData": {
"createdAt": "0001-01-01T05:30:00+05:30",
"lastModifiedAt": "0001-01-01T05:30:00+05:30"
},
"tags": {
"tag1": "value1",
"tag2": "value2"
}
}
location: https://management.azure.com/subscriptions/eb5dc900-6186-49d8-b7d7-febd866fdc1d/providers/Microsoft.EdgeOrder/locations/westus/operationResults/operationid?api-version=2024-02-01
Definities
| Name | Description |
|---|---|
|
Address |
Type adres op basis van de gebruikscontext. |
|
Address |
Adres bron. |
|
Address |
Type adres. |
|
Address |
De parameters voor het bijwerken van adressen. |
|
Address |
Status van adresvalidatie. |
|
Contact |
Contactgegevens. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Provisioning |
Toewijzingsstatus |
|
Shipping |
Verzendadres waar de klant het apparaat wil ontvangen. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
AddressClassification
Type adres op basis van de gebruikscontext.
| Waarde | Description |
|---|---|
| Shipping |
Verzendadres voor de bestelling. |
| Site |
Website-adres. |
AddressResource
Adres bron.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| location |
string |
De geografische locatie waar de resource zich bevindt |
| name |
string |
De naam van de resource |
| properties.addressClassification |
Type adres op basis van de gebruikscontext. |
|
| properties.addressValidationStatus |
Status van adresvalidatie. |
|
| properties.contactDetails |
Contactgegevens voor het adres. |
|
| properties.provisioningState |
Toewijzingsstatus |
|
| properties.shippingAddress |
Verzendgegevens voor het adres. |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
AddressType
Type adres.
| Waarde | Description |
|---|---|
| None |
Adrestype niet bekend. |
| Residential |
Woonadres. |
| Commercial |
Commercieel adres. |
AddressUpdateParameter
De parameters voor het bijwerken van adressen.
| Name | Type | Description |
|---|---|---|
| properties.contactDetails |
Contactgegevens voor het adres. |
|
| properties.shippingAddress |
Verzendgegevens voor het adres. |
|
| tags |
object |
De lijst met sleutel-waardeparen die de resource beschrijven. Deze tags kunnen worden gebruikt voor het weergeven en groeperen van deze resource (tussen resourcegroepen). |
AddressValidationStatus
Status van adresvalidatie.
| Waarde | Description |
|---|---|
| Valid |
Het opgegeven adres is geldig. |
| Invalid |
Het opgegeven adres is ongeldig of wordt niet ondersteund. |
| Ambiguous |
Het opgegeven adres is dubbelzinnig. Kies een van de alternatieve adressen die worden geretourneerd. |
ContactDetails
Contactgegevens.
| Name | Type | Description |
|---|---|---|
| contactName |
string |
Naam van de contactpersoon. |
| emailList |
string[] |
Lijst met e-mail-id's die moeten worden geïnformeerd over de voortgang van de taak. |
| mobile |
string |
Mobiel nummer van de contactpersoon. |
| phone |
string |
Telefoonnummer van de contactpersoon. |
| phoneExtension |
string |
Telefoonnummer van de contactpersoon. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ProvisioningState
Toewijzingsstatus
| Waarde | Description |
|---|---|
| Creating |
Staat creëren. |
| Succeeded |
Geslaagde staat. |
| Failed |
Mislukte staat. |
| Canceled |
Geannuleerde status. |
ShippingAddress
Verzendadres waar de klant het apparaat wil ontvangen.
| Name | Type | Description |
|---|---|---|
| addressType |
Type adres. |
|
| city |
string |
Naam van de stad. |
| companyName |
string |
Naam van het bedrijf. |
| country |
string |
Naam van het land. |
| postalCode |
string |
Postcode. |
| stateOrProvince |
string |
Naam van de staat of provincie. |
| streetAddress1 |
string |
Adresregel 1. |
| streetAddress2 |
string |
Adresregel 2. |
| streetAddress3 |
string |
Adresregel 3. |
| zipExtendedCode |
string |
Uitgebreide postcode. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |